> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get a design token by ID

GET https://api.contentful.com/spaces/{spaceId}/environments/{environmentId}/design_tokens/{id}

Reference: https://contentful.com/developers/docs/references/experience-management-api/design-tokens/get-design-token

## Authentication

- `Authorization` header (bearer token, required) — Contentful Management API token

## Request

### Path parameters

- `spaceId` (string, required)
- `environmentId` (string, required)
- `id` (string, required)

### Query parameters

- `access_token` (string, optional)

## Response

### 200

200

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaSys, required)
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `DTCG.Color`, `DTCG.Dimension`, `DTCG.FontFamily`, `DTCG.FontWeight`, `DTCG.Duration`, `DTCG.CubicBezier`, `DTCG.Number`, `DTCG.StrokeStyle`, `DTCG.Border`, `DTCG.Transition`, `DTCG.Shadow`, `DTCG.Gradient`, `DTCG.Typography`
- `metadata` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadata, optional)

## Errors

### 400 Bad Request Error

400

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 401 Unauthorized Error

401

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 403 Forbidden Error

403

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 404 Not Found Error

404

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 409 Conflict Error

409

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 422 Unprocessable Entity Error

422

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 500 Internal Server Error

500

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 503 Service Unavailable Error

503

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContext, optional)

## Types

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaSys

- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `Error`

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadata

- `tags` (list of SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataTagsItems, optional)
- `concepts` (list of SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataConceptsItems, optional)
- `annotations` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotations, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContext

- `code` (string, required)
- `pluralCount` (double, optional)
- `parameters` (map from string to SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContextParameters, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataTagsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataTagsItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataConceptsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataConceptsItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotations

- `DesignSystem` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotationsDesignSystem, optional)
- `ComponentType` (list of SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotationsComponentTypeItems, optional, nullable)
- `Template` (list of SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotationsTemplateItems, optional, nullable)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContextParameters

- SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContextParameters0
- SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContextParameters1
- SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContextParameters2
- SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContextParameters3
- SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContextParameters4

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataTagsItemsSys

- `type` (enum, required)
  - Allowed values: `Link`
- `linkType` (enum, required)
  - Allowed values: `Tag`
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataConceptsItemsSys

- `type` (enum, required)
  - Allowed values: `Link`
- `linkType` (enum, required)
  - Allowed values: `TaxonomyConcept`
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotationsDesignSystem

- `source` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotationsDesignSystemSource, optional, nullable)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotationsComponentTypeItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotationsComponentTypeItemsSys, required)
- `parameters` (map from string to any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotationsTemplateItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotationsTemplateItemsSys, required)
- `parameters` (map from string to any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContextParameters0

- `type` (enum, required)
  - Allowed values: `string`
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContextParameters1

- `type` (enum, required)
  - Allowed values: `number`
- `value` (double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContextParameters2

- `type` (enum, required)
  - Allowed values: `date`
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContextParameters3

- `type` (enum, required)
  - Allowed values: `array.string`
- `value` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaI18NContextParameters4

- `type` (enum, required)
  - Allowed values: `array.number`
- `value` (list of double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotationsDesignSystemSource

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotationsDesignSystemSourceSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotationsComponentTypeItemsSys

- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `Link`
- `linkType` (enum, required)
  - Allowed values: `Annotation`

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotationsTemplateItemsSys

- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `Link`
- `linkType` (enum, required)
  - Allowed values: `Annotation`

### SpacesSpaceIdEnvironmentsEnvironmentIdDesignTokensIdGetResponsesContentApplicationJsonSchemaMetadataAnnotationsDesignSystemSourceSys

- `type` (enum, required)
  - Allowed values: `ResourceLink`
- `linkType` (enum, required)
  - Allowed values: `Contentful:DesignSystemSource`
- `urn` (string, required)

## Examples

**Response**

```json
{
  "sys": {
    "id": "string",
    "type": "DesignToken",
    "createdAt": "string",
    "createdBy": {
      "sys": {
        "id": "string",
        "linkType": "User",
        "type": "Link"
      }
    },
    "designSystemSource": {
      "sys": {
        "linkType": "Contentful:DesignSystemSource",
        "type": "ResourceLink",
        "urn": "string"
      }
    },
    "environment": {
      "sys": {
        "id": "string",
        "linkType": "Environment",
        "type": "Link"
      }
    },
    "space": {
      "sys": {
        "id": "string",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "updatedAt": "string",
    "updatedBy": {
      "sys": {
        "id": "string",
        "linkType": "User",
        "type": "Link"
      }
    },
    "version": 1.1
  },
  "name": "string",
  "type": "DTCG.Color",
  "metadata": {
    "tags": [
      {
        "sys": {
          "type": "Link",
          "linkType": "Tag",
          "id": "string"
        }
      }
    ],
    "concepts": [
      {
        "sys": {
          "type": "Link",
          "linkType": "TaxonomyConcept",
          "id": "string"
        }
      }
    ],
    "annotations": {
      "DesignSystem": {
        "source": {
          "sys": {
            "type": "ResourceLink",
            "linkType": "Contentful:DesignSystemSource",
            "urn": "string"
          }
        }
      },
      "ComponentType": [
        {
          "sys": {
            "id": "string",
            "type": "Link",
            "linkType": "Annotation"
          },
          "parameters": {}
        }
      ],
      "Template": [
        {
          "sys": {
            "id": "string",
            "type": "Link",
            "linkType": "Annotation"
          },
          "parameters": {}
        }
      ]
    }
  }
}
```